Summary: An implementation of the Lisp language with statistics extensions.
Name: xlispstat
Version: 3.52.17
Release: 2mdk
Packager: Maurizio De Cecco (maurizio@mandrakesoft.com)
Copyright: Distributable
Group: Sciences/Mathematics
Source: ftp://ftp.stat.umn.edu/pub/xlispstat/3-52/xlispstat-3-52-17.tar.bz2
URL: http://lib.stat.cmu.edu/xlispstat
BuildRoot: /var/tmp/xlispstat-root

%description
The xlispstat package contains XLISP-PLUS, an implementation of the Lisp
programming language for the X Window System.  XLISP-PLUS also includes
extensions for performing advanced statistical computations.

Install the xlispstat package if you need a version of the Lisp
programming language for X with statistics extensions.

%prep
%setup -q -n xlispstat-3-52-17

%build
%configure --prefix=/usr
%ifarch i386 i486 i586 i686 k6 k7 
make UCFLAGS="$RPM_OPT_FLAGS -DX11WINDOWS -I/usr/X11R6/include"
%else
make
%endif

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install
strip $RPM_BUILD_ROOT/usr/lib/xlispstat/xlisp


find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README RELEASE doc
/usr/bin/xlispstat
/usr/lib/xlispstat

%changelog
* Tue Apr 11 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Fixed Distribution name

* Tue Mar 14 2000 Maurizio De Cecco <maurizio@mandrakesoft.com> 3.52.17-1mdk
- Moved to version 3.52.17
- Updated ftp reference
- Adapted to the new Group structure

* Thu Jan 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.52.9-5mdk
- Remove CFLAGS for non x86.

* Wed Dec 01 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build Release.

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.52.9

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Wed Jan 20 1999 Preston Brown <pbrown@redhat.com>
- fixed building against glibc 2.1.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.52.5.
- remove ExclusiveArch
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- new version

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
